Package org.opensaml.xacml.policy.impl

# Class RuleCombinerParametersTypeImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xacml.impl.AbstractXACMLObject
org.opensaml.xacml.policy.impl.CombinerParametersTypeImpl
org.opensaml.xacml.policy.impl.RuleCombinerParametersTypeImpl

All Implemented Interfaces:
  `XMLObject`, `CombinerParametersType`, `RuleCombinerParametersType`, `XACMLObject`

public class RuleCombinerParametersTypeImpl extends CombinerParametersTypeImpl implements RuleCombinerParametersType
Implementation for `RuleCombinerParametersTypeImplBuilder`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`ruleIdRef`
Rule identity reference.

### Fields inherited from interface org.opensaml.xacml.policy.CombinerParametersType

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, SCHEMA_TYPE_LOCAL_NAME, SCHEMA_TYPE_NAME`

### Fields inherited from interface org.opensaml.xacml.policy.RuleCombinerParametersType

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, RULE_ID_REF_ATTRIB_NAME, SCHEMA_TYPE_LOCAL_NAME, SCHEMA_TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`RuleCombinerParametersTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getRuleIdRef()`
Gets the referenced rule's ID.
`void`
`setRuleIdRef(String ref)`
Sets the referenced rule's ID.

### Methods inherited from class org.opensaml.xacml.policy.impl.CombinerParametersTypeImpl

`getCombinerParameters, getOrderedChildren`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.xacml.policy.CombinerParametersType

`getCombinerParameters`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### ruleIdRef

private String ruleIdRef
Rule identity reference.

## Constructor Details

### RuleCombinerParametersTypeImpl

protected RuleCombinerParametersTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getRuleIdRef

public String getRuleIdRef()
Gets the referenced rule's ID.

Specified by:
  `getRuleIdRef` in interface `RuleCombinerParametersType`
Returns:
  referenced rule's ID

### setRuleIdRef

public void setRuleIdRef(String ref)
Sets the referenced rule's ID.

Specified by:
  `setRuleIdRef` in interface `RuleCombinerParametersType`
Parameters:
  `ref` - referenced rule's ID